#ifndef LIBFACESDK_H
#define LIBFACESDK_H

#ifdef __cplusplus
extern "C" {
#endif

#define		FR_RET_SUCC	0		// 成功
#define		FR_RET_FAIL	-1		// 失败
#define		FR_RET_PARA	-2		// 参数错误
#define		FR_RET_NDEV	-3		// 打开设备失败
#define		FR_RET_NINI	-4		// 未打开设备
#define		FR_RET_BUSY	-5		// 设备繁忙
#define		FR_RET_DATA	-6		// 图像数据不正确
#define		FR_RET_NLNK	-7		// 设备断开
#define		FR_RET_NDRV	-8		// 加载设备库失败
#define		FR_RET_NALG	-9		// 加载算法库失败
#define		FR_RET_NMEM	-10		// 内存分配失败
#define		FR_RET_ARDY	-11		// 已经打开设备
#define		FR_RET_AUTH -12		// 算法授权失败
#define		FP_RET_IPCF -13		// IPC错误

#define		FR_CALLBACK_RESULT_SUCC		        100    //活体检测成功
#define		FR_CALLBACK_RESULT_FAIL		        101    //活体检测失败
#define		FR_CALLBACK_RESULT_TIMEOUT			102    //活体检测超时
#define		FR_CALLBACK_RESULT_ERROR			103    //从设备取图失败
#define		FR_CALLBACK_RESULT_CANCEL			104    //活体检测取消
#define		FR_CALLBACK_RESULT_NOFACE			105    //没有检测到人脸
#define		FR_CALLBACK_RESULT_MULTIFADE	    106    //检测到多个人脸
#define		FR_CALLBACK_RESULT_HEADPOS			107    //头部姿态不正常
#define		FR_CALLBACK_RESULT_EMOTION			108    //有闭眼张嘴等表情动作
#define		FR_CALLBACK_RESULT_MOTIVE			109    //有运动模糊
#define		FR_CALLBACK_RESULT_BRIGHT			110	   //亮度不符合
#define		FR_CALLBACK_RESULT_NOTCENTER	    111	   //人脸未居中
#define		FR_CALLBACK_RESULT_UNKNOW			112    //未知错误

typedef int (*CaptureCallBackDetectInfo)(int *nResultID, void *lpParam);

int FR_CreateFaceCallBack(CaptureCallBackDetectInfo pDetectInfo, const char *parentDir = NULL);
int FR_DestroyFaceCallBack ();
int FR_StartCamera();
int FR_StopCamera();
int FR_PauseAndPlay(bool isPause);
int FR_TakePicture(const char* strFilePath);
int FR_StartLiveDetect(int mode,const char* strContent, const char* strFilePath);
int FR_StopLiveDetect();
int FR_CreateWindow(unsigned long ulWndHandle,int iX,int iY,int iWidth,int iHeight);
int FR_GetFirmwareVersion(char szVersion[64]);
int FR_CloseWindow();
int FR_FaceCompare(const char*pccPathA,const char*pccPathB,unsigned short ScoreIn,unsigned short &ScoreOut);
void FR_GetStatus(int *piStatus);
int FR_HideTips(bool isHide);
int FR_CropImage(const char*pccPathA, int crop_width, int crop_height, const char*pccPathB);

#ifdef __cplusplus
}
#endif

#endif // LIBFACESDK_H
